#!/bin/bash

# Warning: this script scale 40% the images and convert the 
#	   sound files to 8bit, mono recursively

TEMP=/tmp/$$$$.tmp

echo "Checking convert..."
which convert || (echo "convert not found.. install from ImageMagick." ; exit 1)

echo "Checking ffmpeg..."
which ffmpeg || (echo "ffmpeg not found..." ; exit 1)

for i in $(find . -name "*bmp") ; do
	convert $i -scale 40% $TEMP
	cp $TEMP $i
	rm $TEMP
done

for i in $(find . -name "*wav") ; do
	ffmpeg -i $i -acodec pcm_u8 -ac 1 -ar 8000 $TEMP.wav
	cp $TEMP.wav $i
	rm $TEMP.wav
done

for i in $(find . -name "*ogg") ; do
	ffmpeg -i $i -acodec pcm_u8 -ac 1 -ar 8000 $TEMP.ogg
	cp $TEMP.ogg $i
	rm $TEMP.ogg
done

